crypt32: Use helper function and broken() macro to make expected chain status results...
[wine] / configure
index 08ea9d4..119c985 100755 (executable)
--- a/configure
+++ b/configure
@@ -1,6 +1,6 @@
 #! /bin/sh
 # Guess values for system-dependent variables and create Makefiles.
-# Generated by GNU Autoconf 2.61 for Wine 1.1.3.
+# Generated by GNU Autoconf 2.61 for Wine 1.1.6.
 #
 # Report bugs to <wine-devel@winehq.org>.
 #
@@ -574,8 +574,8 @@ SHELL=${CONFIG_SHELL-/bin/sh}
 # Identity of this package.
 PACKAGE_NAME='Wine'
 PACKAGE_TARNAME='wine'
-PACKAGE_VERSION='1.1.3'
-PACKAGE_STRING='Wine 1.1.3'
+PACKAGE_VERSION='1.1.6'
+PACKAGE_STRING='Wine 1.1.6'
 PACKAGE_BUGREPORT='wine-devel@winehq.org'
 
 ac_unique_file="server/atom.c"
@@ -733,15 +733,16 @@ LDEXECFLAGS
 DISKARBITRATIONLIB
 COREAUDIO
 CARBONLIB
-CROSSTEST
 CROSSCC
 CROSSWINDRES
+CROSSTEST
 NASLIBS
 XML2LIBS
 XML2INCL
 XSLTLIBS
 XSLTINCL
 HALINCL
+GNUTLSINCL
 sane_devel
 SANEINCL
 gphoto2_devel
@@ -753,7 +754,6 @@ LCMSLIBS
 ft_devel
 FREETYPELIBS
 FREETYPEINCL
-FONTSSUBDIRS
 ESDCONFIG
 ESDINCL
 ESDLIBS
@@ -775,9 +775,14 @@ DEPENDENCIES
 ALL_MAKERULES
 ALL_MAKEFILES
 ALL_MAKEFILE_DEPENDS
+ALL_TOP_DIRS
 ALL_DLL_DIRS
 ALL_IMPLIB_DIRS
 ALL_TEST_DIRS
+ALL_PROGRAM_DIRS
+ALL_PROGRAM_INSTALL_DIRS
+ALL_PROGRAM_BIN_INSTALL_DIRS
+ALL_WINETEST_DEPENDS
 LIBOBJS
 LTLIBOBJS'
 ac_subst_files='MAKE_RULES
@@ -1300,7 +1305,7 @@ if test "$ac_init_help" = "long"; then
   # Omit some internal or obsolete options to make the list less imposing.
   # This message is too long to be a string in the A/UX 3.1 sh.
   cat <<_ACEOF
-\`configure' configures Wine 1.1.3 to adapt to many kinds of systems.
+\`configure' configures Wine 1.1.6 to adapt to many kinds of systems.
 
 Usage: $0 [OPTION]... [VAR=VALUE]...
 
@@ -1369,7 +1374,7 @@ fi
 
 if test -n "$ac_init_help"; then
   case $ac_init_help in
-     short | recursive ) echo "Configuration of Wine 1.1.3:";;
+     short | recursive ) echo "Configuration of Wine 1.1.6:";;
    esac
   cat <<\_ACEOF
 
@@ -1397,6 +1402,7 @@ Optional Packages:
   --without-freetype      do not use the FreeType library
   --without-gphoto        do not use gphoto (Digital Camera support)
   --without-glu           do not use the GLU library
+  --without-gnutls        do not use GnuTLS (schannel support)
   --without-hal           do not use HAL (dynamic device support)
   --without-jack          do not use the Jack sound support
   --without-jpeg          do not use JPEG
@@ -1498,7 +1504,7 @@ fi
 test -n "$ac_init_help" && exit $ac_status
 if $ac_init_version; then
   cat <<\_ACEOF
-Wine configure 1.1.3
+Wine configure 1.1.6
 generated by GNU Autoconf 2.61
 
 Copyright (C) 1992, 1993, 1994, 1995, 1996, 1998, 1999, 2000, 2001,
@@ -1512,7 +1518,7 @@ cat >config.log <<_ACEOF
 This file contains any messages produced by compilers while
 running configure, to aid debugging if configure makes a mistake.
 
-It was created by Wine $as_me 1.1.3, which was
+It was created by Wine $as_me 1.1.6, which was
 generated by GNU Autoconf 2.61.  Invocation command line was
 
   $ $0 $@
@@ -1993,6 +1999,12 @@ if test "${with_glu+set}" = set; then
 fi
 
 
+# Check whether --with-gnutls was given.
+if test "${with_gnutls+set}" = set; then
+  withval=$with_gnutls;
+fi
+
+
 # Check whether --with-hal was given.
 if test "${with_hal+set}" = set; then
   withval=$with_hal;
@@ -7203,6 +7215,7 @@ done
 
 
 
+
 
 
 for ac_header in \
@@ -7219,6 +7232,7 @@ for ac_header in \
        capi20.h \
        curses.h \
        direct.h \
+       dirent.h \
        dlfcn.h \
        elf.h \
        float.h \
@@ -8577,6 +8591,13 @@ fi
     IMPLIBEXT="a"
         WIN16_FILES=""
     WIN16_INSTALL=""
+        enable_iphlpapi=${enable_iphlpapi:-no}
+    enable_kernel32=${enable_kernel32:-no}
+    enable_msvcrt=${enable_msvcrt:-no}
+    enable_ntdll=${enable_ntdll:-no}
+    enable_ws2_32=${enable_ws2_32:-no}
+    enable_loader=${enable_loader:-no}
+    enable_server=${enable_server:-no}
     ;;
   darwin*|macosx*)
     DLLEXT=".so"
@@ -9368,12 +9389,28 @@ echo "${ECHO_T}$ac_cv_c_dll_hpux" >&6; }
         fi
       fi
     fi
+    ;;
+esac
 
-        CROSSTEST=""
+enable_winequartz_drv=${enable_winequartz_drv:-no}
 
-    if test "$cross_compiling" = "no"
-    then
-      for ac_prog in i586-mingw32msvc-gcc i386-mingw32msvc-gcc i686-mingw32-gcc i586-mingw32-gcc i386-mingw32-gcc mingw32-gcc mingw-gcc
+if test "$LIBEXT" = "a"; then
+  { { echo "$as_me:$LINENO: error: could not find a way to build shared libraries.
+It is currently not possible to build Wine without shared library
+(.so) support to allow transparent switch between .so and .dll files.
+If you are using Linux, you will need a newer binutils.
+" >&5
+echo "$as_me: error: could not find a way to build shared libraries.
+It is currently not possible to build Wine without shared library
+(.so) support to allow transparent switch between .so and .dll files.
+If you are using Linux, you will need a newer binutils.
+" >&2;}
+   { (exit 1); exit 1; }; }
+fi
+
+if test "$cross_compiling" = "no" -a "$LIBEXT" != "dll"
+then
+    for ac_prog in i586-mingw32msvc-gcc i386-mingw32msvc-gcc i686-mingw32-gcc i586-mingw32-gcc i486-mingw32-gcc i386-mingw32-gcc mingw32-gcc mingw-gcc
 do
   # Extract the first word of "$ac_prog", so it can be a program name with args.
 set dummy $ac_prog; ac_word=$2
@@ -9416,7 +9453,7 @@ fi
 done
 test -n "$CROSSCC" || CROSSCC="false"
 
-      for ac_prog in i586-mingw32msvc-dlltool i386-mingw32msvc-dlltool i686-mingw32-dlltool i586-mingw32-dlltool i386-mingw32-dlltool mingw32-dlltool mingw-dlltool
+    for ac_prog in i586-mingw32msvc-dlltool i386-mingw32msvc-dlltool i686-mingw32-dlltool i586-mingw32-dlltool i486-mingw32-dlltool i386-mingw32-dlltool mingw32-dlltool mingw-dlltool
 do
   # Extract the first word of "$ac_prog", so it can be a program name with args.
 set dummy $ac_prog; ac_word=$2
@@ -9459,7 +9496,7 @@ fi
 done
 test -n "$DLLTOOL" || DLLTOOL="false"
 
-      for ac_prog in i586-mingw32msvc-windres i386-mingw32msvc-windres i686-mingw32-windres i586-mingw32-windres i386-mingw32-windres mingw32-windres mingw-windres
+    for ac_prog in i586-mingw32msvc-windres i386-mingw32msvc-windres i686-mingw32-windres i586-mingw32-windres i486-mingw32-windres i386-mingw32-windres mingw32-windres mingw-windres
 do
   # Extract the first word of "$ac_prog", so it can be a program name with args.
 set dummy $ac_prog; ac_word=$2
@@ -9502,7 +9539,7 @@ fi
 done
 test -n "$CROSSWINDRES" || CROSSWINDRES="false"
 
-      for ac_prog in i586-mingw32msvc-ar i386-mingw32msvc-ar i686-mingw32-ar i586-mingw32-ar i386-mingw32-ar mingw32-ar mingw-ar
+    for ac_prog in i586-mingw32msvc-ar i386-mingw32msvc-ar i686-mingw32-ar i586-mingw32-ar i486-mingw32-ar i386-mingw32-ar mingw32-ar mingw-ar
 do
   # Extract the first word of "$ac_prog", so it can be a program name with args.
 set dummy $ac_prog; ac_word=$2
@@ -9545,25 +9582,11 @@ fi
 done
 test -n "$MINGWAR" || MINGWAR="false"
 
-      if test "$CROSSCC" != "false"; then CROSSTEST="\$(CROSSTEST)"; fi
-    fi
-    ;;
-esac
-
-enable_winequartz_drv=${enable_winequartz_drv:-no}
+    if test "$CROSSCC" != "false"
+    then
+        CROSSTEST="\$(CROSSTEST)"
 
-if test "$LIBEXT" = "a"; then
-  { { echo "$as_me:$LINENO: error: could not find a way to build shared libraries.
-It is currently not possible to build Wine without shared library
-(.so) support to allow transparent switch between .so and .dll files.
-If you are using Linux, you will need a newer binutils.
-" >&5
-echo "$as_me: error: could not find a way to build shared libraries.
-It is currently not possible to build Wine without shared library
-(.so) support to allow transparent switch between .so and .dll files.
-If you are using Linux, you will need a newer binutils.
-" >&2;}
-   { (exit 1); exit 1; }; }
+    fi
 fi
 
 
          else
              opengl_msg="OpenGL development headers not found."
         fi
+         test -n "$opengl_msg" && enable_opengl32=${enable_opengl32:-no}
+         test "x$ac_cv_lib_soname_GLU" = "x" && enable_glu32=${enable_glu32:-no}
+    else
+         enable_opengl32=${enable_opengl32:-no}
+         enable_glu32=${enable_glu32:-no}
     fi
     if test -n "$opengl_msg"; then
   case "x$with_opengl" in
@@ -11385,9 +11413,6 @@ esac
 fi
 
 
-    test -n "$opengl_msg" && enable_opengl32=${enable_opengl32:-no}
-    test "x$ac_cv_lib_soname_GLU" = "x" && enable_glu32=${enable_glu32:-no}
-
         NASLIBS=""
 
 
@@ -12718,6 +12743,240 @@ esac
 fi
 
 
+if test "x$with_gnutls" != "xno" -a "$PKG_CONFIG" != "false"
+then
+    ac_save_CPPFLAGS="$CPPFLAGS"
+    ac_gnutls_libs="`$PKG_CONFIG --libs gnutls 2>/dev/null`"
+    ac_gnutls_cflags="`$PKG_CONFIG --cflags gnutls 2>/dev/null`"
+    CPPFLAGS="$CPPFLAGS $ac_gnutls_cflags"
+    if test "${ac_cv_header_gnutls_gnutls_h+set}" = set; then
+  { echo "$as_me:$LINENO: checking for gnutls/gnutls.h" >&5
+echo $ECHO_N "checking for gnutls/gnutls.h... $ECHO_C" >&6; }
+if test "${ac_cv_header_gnutls_gnutls_h+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+fi
+{ echo "$as_me:$LINENO: result: $ac_cv_header_gnutls_gnutls_h" >&5
+echo "${ECHO_T}$ac_cv_header_gnutls_gnutls_h" >&6; }
+else
+  # Is the header compilable?
+{ echo "$as_me:$LINENO: checking gnutls/gnutls.h usability" >&5
+echo $ECHO_N "checking gnutls/gnutls.h usability... $ECHO_C" >&6; }
+cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+$ac_includes_default
+#include <gnutls/gnutls.h>
+_ACEOF
+rm -f conftest.$ac_objext
+if { (ac_try="$ac_compile"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_compile") 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } && {
+        test -z "$ac_c_werror_flag" ||
+        test ! -s conftest.err
+       } && test -s conftest.$ac_objext; then
+  ac_header_compiler=yes
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+       ac_header_compiler=no
+fi
+
+rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
+{ echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
+echo "${ECHO_T}$ac_header_compiler" >&6; }
+
+# Is the header present?
+{ echo "$as_me:$LINENO: checking gnutls/gnutls.h presence" >&5
+echo $ECHO_N "checking gnutls/gnutls.h presence... $ECHO_C" >&6; }
+cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+#include <gnutls/gnutls.h>
+_ACEOF
+if { (ac_try="$ac_cpp conftest.$ac_ext"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } >/dev/null && {
+        test -z "$ac_c_preproc_warn_flag$ac_c_werror_flag" ||
+        test ! -s conftest.err
+       }; then
+  ac_header_preproc=yes
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+  ac_header_preproc=no
+fi
+
+rm -f conftest.err conftest.$ac_ext
+{ echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
+echo "${ECHO_T}$ac_header_preproc" >&6; }
+
+# So?  What about this header?
+case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
+  yes:no: )
+    { echo "$as_me:$LINENO: WARNING: gnutls/gnutls.h: accepted by the compiler, rejected by the preprocessor!" >&5
+echo "$as_me: WARNING: gnutls/gnutls.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
+    { echo "$as_me:$LINENO: WARNING: gnutls/gnutls.h: proceeding with the compiler's result" >&5
+echo "$as_me: WARNING: gnutls/gnutls.h: proceeding with the compiler's result" >&2;}
+    ac_header_preproc=yes
+    ;;
+  no:yes:* )
+    { echo "$as_me:$LINENO: WARNING: gnutls/gnutls.h: present but cannot be compiled" >&5
+echo "$as_me: WARNING: gnutls/gnutls.h: present but cannot be compiled" >&2;}
+    { echo "$as_me:$LINENO: WARNING: gnutls/gnutls.h:     check for missing prerequisite headers?" >&5
+echo "$as_me: WARNING: gnutls/gnutls.h:     check for missing prerequisite headers?" >&2;}
+    { echo "$as_me:$LINENO: WARNING: gnutls/gnutls.h: see the Autoconf documentation" >&5
+echo "$as_me: WARNING: gnutls/gnutls.h: see the Autoconf documentation" >&2;}
+    { echo "$as_me:$LINENO: WARNING: gnutls/gnutls.h:     section \"Present But Cannot Be Compiled\"" >&5
+echo "$as_me: WARNING: gnutls/gnutls.h:     section \"Present But Cannot Be Compiled\"" >&2;}
+    { echo "$as_me:$LINENO: WARNING: gnutls/gnutls.h: proceeding with the preprocessor's result" >&5
+echo "$as_me: WARNING: gnutls/gnutls.h: proceeding with the preprocessor's result" >&2;}
+    { echo "$as_me:$LINENO: WARNING: gnutls/gnutls.h: in the future, the compiler will take precedence" >&5
+echo "$as_me: WARNING: gnutls/gnutls.h: in the future, the compiler will take precedence" >&2;}
+    ( cat <<\_ASBOX
+## ------------------------------------ ##
+## Report this to wine-devel@winehq.org ##
+## ------------------------------------ ##
+_ASBOX
+     ) | sed "s/^/$as_me: WARNING:     /" >&2
+    ;;
+esac
+{ echo "$as_me:$LINENO: checking for gnutls/gnutls.h" >&5
+echo $ECHO_N "checking for gnutls/gnutls.h... $ECHO_C" >&6; }
+if test "${ac_cv_header_gnutls_gnutls_h+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  ac_cv_header_gnutls_gnutls_h=$ac_header_preproc
+fi
+{ echo "$as_me:$LINENO: result: $ac_cv_header_gnutls_gnutls_h" >&5
+echo "${ECHO_T}$ac_cv_header_gnutls_gnutls_h" >&6; }
+
+fi
+if test $ac_cv_header_gnutls_gnutls_h = yes; then
+  { echo "$as_me:$LINENO: checking for -lgnutls" >&5
+echo $ECHO_N "checking for -lgnutls... $ECHO_C" >&6; }
+if test "${ac_cv_lib_soname_gnutls+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  ac_check_soname_save_LIBS=$LIBS
+LIBS="-lgnutls $ac_gnutls_libs $LIBS"
+  cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+
+/* Override any GCC internal prototype to avoid an error.
+   Use char because int might match the return type of a GCC
+   builtin and then its argument prototype would still apply.  */
+#ifdef __cplusplus
+extern "C"
+#endif
+char gnutls_global_init ();
+int
+main ()
+{
+return gnutls_global_init ();
+  ;
+  return 0;
+}
+_ACEOF
+rm -f conftest.$ac_objext conftest$ac_exeext
+if { (ac_try="$ac_link"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_link") 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } && {
+        test -z "$ac_c_werror_flag" ||
+        test ! -s conftest.err
+       } && test -s conftest$ac_exeext &&
+       $as_test_x conftest$ac_exeext; then
+  case "$LIBEXT" in
+    dll) ;;
+    dylib) ac_cv_lib_soname_gnutls=`otool -L conftest$ac_exeext | grep "libgnutls\\.[0-9A-Za-z.]*dylib" | sed -e "s/^.*\/\(libgnutls\.[0-9A-Za-z.]*dylib\).*$/\1/"';2,$d'` ;;
+    *) ac_cv_lib_soname_gnutls=`$ac_cv_path_LDD conftest$ac_exeext | grep "libgnutls\\.$LIBEXT" | sed -e "s/^.*\(libgnutls\.$LIBEXT[^   ]*\).*$/\1/"';2,$d'` ;;
+  esac
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+
+fi
+
+rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
+      conftest$ac_exeext conftest.$ac_ext
+  LIBS=$ac_check_soname_save_LIBS
+fi
+if test "x$ac_cv_lib_soname_gnutls" = "x"; then
+  { echo "$as_me:$LINENO: result: not found" >&5
+echo "${ECHO_T}not found" >&6; }
+
+else
+  { echo "$as_me:$LINENO: result: $ac_cv_lib_soname_gnutls" >&5
+echo "${ECHO_T}$ac_cv_lib_soname_gnutls" >&6; }
+
+cat >>confdefs.h <<_ACEOF
+#define SONAME_LIBGNUTLS "$ac_cv_lib_soname_gnutls"
+_ACEOF
+
+       GNUTLSINCL="$ac_gnutls_cflags"
+
+fi
+
+fi
+
+
+    CPPFLAGS="$ac_save_CPPFLAGS"
+fi
+if test "x$ac_cv_lib_soname_gnutls" = "x"; then
+  case "x$with_gnutls" in
+  x)   wine_notices="$wine_notices|libgnutls development files not found, no schannel support." ;;
+  xno) ;;
+  *)   { { echo "$as_me:$LINENO: error: libgnutls development files not found, no schannel support.
+This is an error since --with-gnutls was requested." >&5
+echo "$as_me: error: libgnutls development files not found, no schannel support.
+This is an error since --with-gnutls was requested." >&2;}
+   { (exit 1); exit 1; }; } ;;
+esac
+fi
+
+
 CURSESLIBS=""
 if test "$ac_cv_header_ncurses_h" = "yes"
 then
@@ -14160,8 +14419,6 @@ _ACEOF
 
             FREETYPEINCL="$ac_freetype_incl"
 
-            FONTSSUBDIRS="fonts"
-
        fi
     fi
 fi
@@ -14178,6 +14435,7 @@ Use the --without-freetype option if you really want this." >&2;}
 esac
 fi
 
+test "x$FREETYPELIBS" = "x" && enable_fonts=${enable_fonts:-no}
 
 { echo "$as_me:$LINENO: checking for parport header/ppdev.h" >&5
 echo $ECHO_N "checking for parport header/ppdev.h... $ECHO_C" >&6; }
@@ -16254,6 +16512,65 @@ cat >>confdefs.h <<\_ACEOF
 #define CC_FLAG_SHORT_WCHAR "-fshort-wchar"
 _ACEOF
 
+fi
+
+  { echo "$as_me:$LINENO: checking whether the compiler supports -fno-builtin" >&5
+echo $ECHO_N "checking whether the compiler supports -fno-builtin... $ECHO_C" >&6; }
+if test "${ac_cv_cflags__fno_builtin+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  ac_wine_try_cflags_saved=$CFLAGS
+CFLAGS="$CFLAGS -fno-builtin"
+cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+
+int
+main ()
+{
+
+  ;
+  return 0;
+}
+_ACEOF
+rm -f conftest.$ac_objext conftest$ac_exeext
+if { (ac_try="$ac_link"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_link") 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } && {
+        test -z "$ac_c_werror_flag" ||
+        test ! -s conftest.err
+       } && test -s conftest$ac_exeext &&
+       $as_test_x conftest$ac_exeext; then
+  ac_cv_cflags__fno_builtin=yes
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+       ac_cv_cflags__fno_builtin=no
+fi
+
+rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
+      conftest$ac_exeext conftest.$ac_ext
+CFLAGS=$ac_wine_try_cflags_saved
+fi
+{ echo "$as_me:$LINENO: result: $ac_cv_cflags__fno_builtin" >&5
+echo "${ECHO_T}$ac_cv_cflags__fno_builtin" >&6; }
+if test $ac_cv_cflags__fno_builtin = yes; then
+  BUILTINFLAG="-fno-builtin"
+
 fi
 
   { echo "$as_me:$LINENO: checking whether the compiler supports -fno-strict-aliasing" >&5
@@ -16545,65 +16862,6 @@ echo "${ECHO_T}$ac_cv_c_string_h_warnings" >&6; }
   then
     EXTRACFLAGS="$EXTRACFLAGS -Wpointer-arith"
   fi
-
-  BUILTINFLAG=""
-
-  saved_CFLAGS="$CFLAGS"
-  CFLAGS="$CFLAGS -Werror"
-  { echo "$as_me:$LINENO: checking for builtin wchar inlines" >&5
-echo $ECHO_N "checking for builtin wchar inlines... $ECHO_C" >&6; }
-if test "${ac_cv_c_builtin_wchar_ctype+set}" = set; then
-  echo $ECHO_N "(cached) $ECHO_C" >&6
-else
-  cat >conftest.$ac_ext <<_ACEOF
-/* confdefs.h.  */
-_ACEOF
-cat confdefs.h >>conftest.$ac_ext
-cat >>conftest.$ac_ext <<_ACEOF
-/* end confdefs.h.  */
-
-int
-main ()
-{
-int iswlower(unsigned short);
-  ;
-  return 0;
-}
-_ACEOF
-rm -f conftest.$ac_objext
-if { (ac_try="$ac_compile"
-case "(($ac_try" in
-  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
-  *) ac_try_echo=$ac_try;;
-esac
-eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
-  (eval "$ac_compile") 2>conftest.er1
-  ac_status=$?
-  grep -v '^ *+' conftest.er1 >conftest.err
-  rm -f conftest.er1
-  cat conftest.err >&5
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); } && {
-        test -z "$ac_c_werror_flag" ||
-        test ! -s conftest.err
-       } && test -s conftest.$ac_objext; then
-  ac_cv_c_builtin_wchar_ctype=no
-else
-  echo "$as_me: failed program was:" >&5
-sed 's/^/| /' conftest.$ac_ext >&5
-
-       ac_cv_c_builtin_wchar_ctype=yes
-fi
-
-rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
-fi
-{ echo "$as_me:$LINENO: result: $ac_cv_c_builtin_wchar_ctype" >&5
-echo "${ECHO_T}$ac_cv_c_builtin_wchar_ctype" >&6; }
-  CFLAGS="$saved_CFLAGS"
-  if test "$ac_cv_c_builtin_wchar_ctype" = "yes"
-  then
-    BUILTINFLAG="-fno-builtin"
-  fi
 fi
 
 
@@ -16950,6 +17208,7 @@ esac
 
 
 
+
 
 
 for ac_func in \
@@ -16995,6 +17254,7 @@ for ac_func in \
        prctl \
        pread \
        pwrite \
+       readdir \
        readlink \
        rfork \
        sched_yield \
@@ -18719,6 +18979,7 @@ _ACEOF
 cat confdefs.h >>conftest.$ac_ext
 cat >>conftest.$ac_ext <<_ACEOF
 /* end confdefs.h.  */
+#include <sys/types.h>
 #include <signal.h>
 
 typedef sigset_t ac__type_new_;
@@ -21955,6 +22216,66 @@ _ACEOF
 
 fi
 
+{ echo "$as_me:$LINENO: checking for isnan" >&5
+echo $ECHO_N "checking for isnan... $ECHO_C" >&6; }
+if test "${ac_cv_have_isnan+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+#include <math.h>
+int
+main ()
+{
+float f = 0.0; int i=isnan(f)
+  ;
+  return 0;
+}
+_ACEOF
+rm -f conftest.$ac_objext conftest$ac_exeext
+if { (ac_try="$ac_link"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_link") 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } && {
+        test -z "$ac_c_werror_flag" ||
+        test ! -s conftest.err
+       } && test -s conftest$ac_exeext &&
+       $as_test_x conftest$ac_exeext; then
+  ac_cv_have_isnan="yes"
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+       ac_cv_have_isnan="no"
+fi
+
+rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
+      conftest$ac_exeext conftest.$ac_ext
+fi
+{ echo "$as_me:$LINENO: result: $ac_cv_have_isnan" >&5
+echo "${ECHO_T}$ac_cv_have_isnan" >&6; }
+if test "$ac_cv_have_isnan" = "yes"
+then
+
+cat >>confdefs.h <<\_ACEOF
+#define HAVE_ISNAN 1
+_ACEOF
+
+fi
+
 
 case $host_cpu in
   *i[3456789]86*) { echo "$as_me:$LINENO: checking whether we need to define __i386__" >&5
@@ -22170,12 +22491,20 @@ ALL_MAKEFILES=""
 ALL_MAKEFILE_DEPENDS="# Makefile dependencies"
 
 
+ALL_TOP_DIRS=""
+
 ALL_DLL_DIRS=""
 
 ALL_IMPLIB_DIRS=""
 
 ALL_TEST_DIRS=""
 
+ALL_PROGRAM_DIRS=""
+
+ALL_PROGRAM_INSTALL_DIRS=""
+
+ALL_PROGRAM_BIN_INSTALL_DIRS=""
+
 
 
 
@@ -22240,7 +22569,8 @@ ac_config_files="$ac_config_files Makefile"
 
 ALL_MAKEFILES="$ALL_MAKEFILES \\
        dlls/Makefile"
-
+test "x$enable_dlls" != xno && ALL_TOP_DIRS="$ALL_TOP_DIRS \\
+       dlls"
 ALL_MAKEFILE_DEPENDS="$ALL_MAKEFILE_DEPENDS
 dlls/Makefile: dlls/Makefile.in Make.rules"
 ac_config_files="$ac_config_files dlls/Makefile"
@@ -24013,6 +24343,14 @@ ALL_MAKEFILE_DEPENDS="$ALL_MAKEFILE_DEPENDS
 dlls/oleacc/Makefile: dlls/oleacc/Makefile.in dlls/Makedll.rules"
 ac_config_files="$ac_config_files dlls/oleacc/Makefile"
 
+ALL_MAKEFILES="$ALL_MAKEFILES \\
+       dlls/oleacc/tests/Makefile"
+test "x$enable_oleacc_tests" != xno && ALL_TEST_DIRS="$ALL_TEST_DIRS \\
+       oleacc/tests"
+ALL_MAKEFILE_DEPENDS="$ALL_MAKEFILE_DEPENDS
+dlls/oleacc/tests/Makefile: dlls/oleacc/tests/Makefile.in dlls/Maketest.rules"
+ac_config_files="$ac_config_files dlls/oleacc/tests/Makefile"
+
 ALL_MAKEFILES="$ALL_MAKEFILES \\
        dlls/oleaut32/Makefile"
 test "x$enable_oleaut32" != xno && ALL_DLL_DIRS="$ALL_DLL_DIRS \\
@@ -25037,6 +25375,14 @@ ALL_MAKEFILE_DEPENDS="$ALL_MAKEFILE_DEPENDS
 dlls/wldap32/Makefile: dlls/wldap32/Makefile.in dlls/Makedll.rules"
 ac_config_files="$ac_config_files dlls/wldap32/Makefile"
 
+ALL_MAKEFILES="$ALL_MAKEFILES \\
+       dlls/wldap32/tests/Makefile"
+test "x$enable_wldap32_tests" != xno && ALL_TEST_DIRS="$ALL_TEST_DIRS \\
+       wldap32/tests"
+ALL_MAKEFILE_DEPENDS="$ALL_MAKEFILE_DEPENDS
+dlls/wldap32/tests/Makefile: dlls/wldap32/tests/Makefile.in dlls/Maketest.rules"
+ac_config_files="$ac_config_files dlls/wldap32/tests/Makefile"
+
 ALL_MAKEFILES="$ALL_MAKEFILES \\
        dlls/wmi/Makefile"
 test "x$enable_wmi" != xno && ALL_DLL_DIRS="$ALL_DLL_DIRS \\
@@ -25095,28 +25441,32 @@ ac_config_files="$ac_config_files dlls/wtsapi32/Makefile"
 
 ALL_MAKEFILES="$ALL_MAKEFILES \\
        documentation/Makefile"
-
+test "x$enable_documentation" != xno && ALL_TOP_DIRS="$ALL_TOP_DIRS \\
+       documentation"
 ALL_MAKEFILE_DEPENDS="$ALL_MAKEFILE_DEPENDS
 documentation/Makefile: documentation/Makefile.in Make.rules"
 ac_config_files="$ac_config_files documentation/Makefile"
 
 ALL_MAKEFILES="$ALL_MAKEFILES \\
        fonts/Makefile"
-
+test "x$enable_fonts" != xno && ALL_TOP_DIRS="$ALL_TOP_DIRS \\
+       fonts"
 ALL_MAKEFILE_DEPENDS="$ALL_MAKEFILE_DEPENDS
 fonts/Makefile: fonts/Makefile.in Make.rules"
 ac_config_files="$ac_config_files fonts/Makefile"
 
 ALL_MAKEFILES="$ALL_MAKEFILES \\
        include/Makefile"
-
+test "x$enable_include" != xno && ALL_TOP_DIRS="$ALL_TOP_DIRS \\
+       include"
 ALL_MAKEFILE_DEPENDS="$ALL_MAKEFILE_DEPENDS
 include/Makefile: include/Makefile.in Make.rules"
 ac_config_files="$ac_config_files include/Makefile"
 
 ALL_MAKEFILES="$ALL_MAKEFILES \\
        libs/Makefile"
-
+test "x$enable_libs" != xno && ALL_TOP_DIRS="$ALL_TOP_DIRS \\
+       libs"
 ALL_MAKEFILE_DEPENDS="$ALL_MAKEFILE_DEPENDS
 libs/Makefile: libs/Makefile.in Make.rules"
 ac_config_files="$ac_config_files libs/Makefile"
@@ -25144,343 +25494,448 @@ ac_config_files="$ac_config_files libs/wpp/Makefile"
 
 ALL_MAKEFILES="$ALL_MAKEFILES \\
        loader/Makefile"
-
+test "x$enable_loader" != xno && ALL_TOP_DIRS="$ALL_TOP_DIRS \\
+       loader"
 ALL_MAKEFILE_DEPENDS="$ALL_MAKEFILE_DEPENDS
 loader/Makefile: loader/Makefile.in Make.rules"
 ac_config_files="$ac_config_files loader/Makefile"
 
 ALL_MAKEFILES="$ALL_MAKEFILES \\
        programs/Makefile"
-
+test "x$enable_programs" != xno && ALL_TOP_DIRS="$ALL_TOP_DIRS \\
+       programs"
 ALL_MAKEFILE_DEPENDS="$ALL_MAKEFILE_DEPENDS
 programs/Makefile: programs/Makefile.in Make.rules"
 ac_config_files="$ac_config_files programs/Makefile"
 
 ALL_MAKEFILES="$ALL_MAKEFILES \\
        programs/clock/Makefile"
-
+test "x$enable_clock" != xno && ALL_PROGRAM_DIRS="$ALL_PROGRAM_DIRS \\
+       clock" && ALL_PROGRAM_INSTALL_DIRS="$ALL_PROGRAM_INSTALL_DIRS \\
+       clock"
 ALL_MAKEFILE_DEPENDS="$ALL_MAKEFILE_DEPENDS
 programs/clock/Makefile: programs/clock/Makefile.in programs/Makeprog.rules"
 ac_config_files="$ac_config_files programs/clock/Makefile"
 
 ALL_MAKEFILES="$ALL_MAKEFILES \\
        programs/cmd/Makefile"
-
+test "x$enable_cmd" != xno && ALL_PROGRAM_DIRS="$ALL_PROGRAM_DIRS \\
+       cmd" && ALL_PROGRAM_INSTALL_DIRS="$ALL_PROGRAM_INSTALL_DIRS \\
+       cmd"
 ALL_MAKEFILE_DEPENDS="$ALL_MAKEFILE_DEPENDS
 programs/cmd/Makefile: programs/cmd/Makefile.in programs/Makeprog.rules"
 ac_config_files="$ac_config_files programs/cmd/Makefile"
 
 ALL_MAKEFILES="$ALL_MAKEFILES \\
        programs/cmdlgtst/Makefile"
-
+test "x$enable_cmdlgtst" != xno && ALL_PROGRAM_DIRS="$ALL_PROGRAM_DIRS \\
+       cmdlgtst"
 ALL_MAKEFILE_DEPENDS="$ALL_MAKEFILE_DEPENDS
 programs/cmdlgtst/Makefile: programs/cmdlgtst/Makefile.in programs/Makeprog.rules"
 ac_config_files="$ac_config_files programs/cmdlgtst/Makefile"
 
 ALL_MAKEFILES="$ALL_MAKEFILES \\
        programs/control/Makefile"
-
+test "x$enable_control" != xno && ALL_PROGRAM_DIRS="$ALL_PROGRAM_DIRS \\
+       control" && ALL_PROGRAM_INSTALL_DIRS="$ALL_PROGRAM_INSTALL_DIRS \\
+       control"
 ALL_MAKEFILE_DEPENDS="$ALL_MAKEFILE_DEPENDS
 programs/control/Makefile: programs/control/Makefile.in programs/Makeprog.rules"
 ac_config_files="$ac_config_files programs/control/Makefile"
 
 ALL_MAKEFILES="$ALL_MAKEFILES \\
        programs/eject/Makefile"
-
+test "x$enable_eject" != xno && ALL_PROGRAM_DIRS="$ALL_PROGRAM_DIRS \\
+       eject" && ALL_PROGRAM_INSTALL_DIRS="$ALL_PROGRAM_INSTALL_DIRS \\
+       eject"
 ALL_MAKEFILE_DEPENDS="$ALL_MAKEFILE_DEPENDS
 programs/eject/Makefile: programs/eject/Makefile.in programs/Makeprog.rules"
 ac_config_files="$ac_config_files programs/eject/Makefile"
 
 ALL_MAKEFILES="$ALL_MAKEFILES \\
        programs/expand/Makefile"
-
+test "x$enable_expand" != xno && ALL_PROGRAM_DIRS="$ALL_PROGRAM_DIRS \\
+       expand" && ALL_PROGRAM_INSTALL_DIRS="$ALL_PROGRAM_INSTALL_DIRS \\
+       expand"
 ALL_MAKEFILE_DEPENDS="$ALL_MAKEFILE_DEPENDS
 programs/expand/Makefile: programs/expand/Makefile.in programs/Makeprog.rules"
 ac_config_files="$ac_config_files programs/expand/Makefile"
 
 ALL_MAKEFILES="$ALL_MAKEFILES \\
        programs/explorer/Makefile"
-
+test "x$enable_explorer" != xno && ALL_PROGRAM_DIRS="$ALL_PROGRAM_DIRS \\
+       explorer" && ALL_PROGRAM_INSTALL_DIRS="$ALL_PROGRAM_INSTALL_DIRS \\
+       explorer"
 ALL_MAKEFILE_DEPENDS="$ALL_MAKEFILE_DEPENDS
 programs/explorer/Makefile: programs/explorer/Makefile.in programs/Makeprog.rules"
 ac_config_files="$ac_config_files programs/explorer/Makefile"
 
 ALL_MAKEFILES="$ALL_MAKEFILES \\
        programs/hh/Makefile"
-
+test "x$enable_hh" != xno && ALL_PROGRAM_DIRS="$ALL_PROGRAM_DIRS \\
+       hh" && ALL_PROGRAM_INSTALL_DIRS="$ALL_PROGRAM_INSTALL_DIRS \\
+       hh"
 ALL_MAKEFILE_DEPENDS="$ALL_MAKEFILE_DEPENDS
 programs/hh/Makefile: programs/hh/Makefile.in programs/Makeprog.rules"
 ac_config_files="$ac_config_files programs/hh/Makefile"
 
 ALL_MAKEFILES="$ALL_MAKEFILES \\
        programs/icinfo/Makefile"
-
+test "x$enable_icinfo" != xno && ALL_PROGRAM_DIRS="$ALL_PROGRAM_DIRS \\
+       icinfo" && ALL_PROGRAM_INSTALL_DIRS="$ALL_PROGRAM_INSTALL_DIRS \\
+       icinfo"
 ALL_MAKEFILE_DEPENDS="$ALL_MAKEFILE_DEPENDS
 programs/icinfo/Makefile: programs/icinfo/Makefile.in programs/Makeprog.rules"
 ac_config_files="$ac_config_files programs/icinfo/Makefile"
 
 ALL_MAKEFILES="$ALL_MAKEFILES \\
        programs/iexplore/Makefile"
-
+test "x$enable_iexplore" != xno && ALL_PROGRAM_DIRS="$ALL_PROGRAM_DIRS \\
+       iexplore" && ALL_PROGRAM_INSTALL_DIRS="$ALL_PROGRAM_INSTALL_DIRS \\
+       iexplore"
 ALL_MAKEFILE_DEPENDS="$ALL_MAKEFILE_DEPENDS
 programs/iexplore/Makefile: programs/iexplore/Makefile.in programs/Makeprog.rules"
 ac_config_files="$ac_config_files programs/iexplore/Makefile"
 
 ALL_MAKEFILES="$ALL_MAKEFILES \\
        programs/msiexec/Makefile"
-
+test "x$enable_msiexec" != xno && ALL_PROGRAM_DIRS="$ALL_PROGRAM_DIRS \\
+       msiexec" && ALL_PROGRAM_INSTALL_DIRS="$ALL_PROGRAM_INSTALL_DIRS \\
+       msiexec" && ALL_PROGRAM_BIN_INSTALL_DIRS="$ALL_PROGRAM_BIN_INSTALL_DIRS \\
+       msiexec"
 ALL_MAKEFILE_DEPENDS="$ALL_MAKEFILE_DEPENDS
 programs/msiexec/Makefile: programs/msiexec/Makefile.in programs/Makeprog.rules"
 ac_config_files="$ac_config_files programs/msiexec/Makefile"
 
 ALL_MAKEFILES="$ALL_MAKEFILES \\
        programs/net/Makefile"
-
+test "x$enable_net" != xno && ALL_PROGRAM_DIRS="$ALL_PROGRAM_DIRS \\
+       net" && ALL_PROGRAM_INSTALL_DIRS="$ALL_PROGRAM_INSTALL_DIRS \\
+       net"
 ALL_MAKEFILE_DEPENDS="$ALL_MAKEFILE_DEPENDS
 programs/net/Makefile: programs/net/Makefile.in programs/Makeprog.rules"
 ac_config_files="$ac_config_files programs/net/Makefile"
 
 ALL_MAKEFILES="$ALL_MAKEFILES \\
        programs/notepad/Makefile"
-
+test "x$enable_notepad" != xno && ALL_PROGRAM_DIRS="$ALL_PROGRAM_DIRS \\
+       notepad" && ALL_PROGRAM_INSTALL_DIRS="$ALL_PROGRAM_INSTALL_DIRS \\
+       notepad" && ALL_PROGRAM_BIN_INSTALL_DIRS="$ALL_PROGRAM_BIN_INSTALL_DIRS \\
+       notepad"
 ALL_MAKEFILE_DEPENDS="$ALL_MAKEFILE_DEPENDS
 programs/notepad/Makefile: programs/notepad/Makefile.in programs/Makeprog.rules"
 ac_config_files="$ac_config_files programs/notepad/Makefile"
 
 ALL_MAKEFILES="$ALL_MAKEFILES \\
        programs/oleview/Makefile"
-
+test "x$enable_oleview" != xno && ALL_PROGRAM_DIRS="$ALL_PROGRAM_DIRS \\
+       oleview" && ALL_PROGRAM_INSTALL_DIRS="$ALL_PROGRAM_INSTALL_DIRS \\
+       oleview"
 ALL_MAKEFILE_DEPENDS="$ALL_MAKEFILE_DEPENDS
 programs/oleview/Makefile: programs/oleview/Makefile.in programs/Makeprog.rules"
 ac_config_files="$ac_config_files programs/oleview/Makefile"
 
 ALL_MAKEFILES="$ALL_MAKEFILES \\
        programs/progman/Makefile"
-
+test "x$enable_progman" != xno && ALL_PROGRAM_DIRS="$ALL_PROGRAM_DIRS \\
+       progman" && ALL_PROGRAM_INSTALL_DIRS="$ALL_PROGRAM_INSTALL_DIRS \\
+       progman" && ALL_PROGRAM_BIN_INSTALL_DIRS="$ALL_PROGRAM_BIN_INSTALL_DIRS \\
+       progman"
 ALL_MAKEFILE_DEPENDS="$ALL_MAKEFILE_DEPENDS
 programs/progman/Makefile: programs/progman/Makefile.in programs/Makeprog.rules"
 ac_config_files="$ac_config_files programs/progman/Makefile"
 
 ALL_MAKEFILES="$ALL_MAKEFILES \\
        programs/reg/Makefile"
-
+test "x$enable_reg" != xno && ALL_PROGRAM_DIRS="$ALL_PROGRAM_DIRS \\
+       reg" && ALL_PROGRAM_INSTALL_DIRS="$ALL_PROGRAM_INSTALL_DIRS \\
+       reg"
 ALL_MAKEFILE_DEPENDS="$ALL_MAKEFILE_DEPENDS
 programs/reg/Makefile: programs/reg/Makefile.in programs/Makeprog.rules"
 ac_config_files="$ac_config_files programs/reg/Makefile"
 
 ALL_MAKEFILES="$ALL_MAKEFILES \\
        programs/regedit/Makefile"
-
+test "x$enable_regedit" != xno && ALL_PROGRAM_DIRS="$ALL_PROGRAM_DIRS \\
+       regedit" && ALL_PROGRAM_INSTALL_DIRS="$ALL_PROGRAM_INSTALL_DIRS \\
+       regedit" && ALL_PROGRAM_BIN_INSTALL_DIRS="$ALL_PROGRAM_BIN_INSTALL_DIRS \\
+       regedit"
 ALL_MAKEFILE_DEPENDS="$ALL_MAKEFILE_DEPENDS
 programs/regedit/Makefile: programs/regedit/Makefile.in programs/Makeprog.rules"
 ac_config_files="$ac_config_files programs/regedit/Makefile"
 
 ALL_MAKEFILES="$ALL_MAKEFILES \\
        programs/regsvr32/Makefile"
-
+test "x$enable_regsvr32" != xno && ALL_PROGRAM_DIRS="$ALL_PROGRAM_DIRS \\
+       regsvr32" && ALL_PROGRAM_INSTALL_DIRS="$ALL_PROGRAM_INSTALL_DIRS \\
+       regsvr32" && ALL_PROGRAM_BIN_INSTALL_DIRS="$ALL_PROGRAM_BIN_INSTALL_DIRS \\
+       regsvr32"
 ALL_MAKEFILE_DEPENDS="$ALL_MAKEFILE_DEPENDS
 programs/regsvr32/Makefile: programs/regsvr32/Makefile.in programs/Makeprog.rules"
 ac_config_files="$ac_config_files programs/regsvr32/Makefile"
 
 ALL_MAKEFILES="$ALL_MAKEFILES \\
        programs/rpcss/Makefile"
-
+test "x$enable_rpcss" != xno && ALL_PROGRAM_DIRS="$ALL_PROGRAM_DIRS \\
+       rpcss" && ALL_PROGRAM_INSTALL_DIRS="$ALL_PROGRAM_INSTALL_DIRS \\
+       rpcss"
 ALL_MAKEFILE_DEPENDS="$ALL_MAKEFILE_DEPENDS
 programs/rpcss/Makefile: programs/rpcss/Makefile.in programs/Makeprog.rules"
 ac_config_files="$ac_config_files programs/rpcss/Makefile"
 
 ALL_MAKEFILES="$ALL_MAKEFILES \\
        programs/rundll32/Makefile"
-
+test "x$enable_rundll32" != xno && ALL_PROGRAM_DIRS="$ALL_PROGRAM_DIRS \\
+       rundll32" && ALL_PROGRAM_INSTALL_DIRS="$ALL_PROGRAM_INSTALL_DIRS \\
+       rundll32"
 ALL_MAKEFILE_DEPENDS="$ALL_MAKEFILE_DEPENDS
 programs/rundll32/Makefile: programs/rundll32/Makefile.in programs/Makeprog.rules"
 ac_config_files="$ac_config_files programs/rundll32/Makefile"
 
 ALL_MAKEFILES="$ALL_MAKEFILES \\
        programs/secedit/Makefile"
-
+test "x$enable_secedit" != xno && ALL_PROGRAM_DIRS="$ALL_PROGRAM_DIRS \\
+       secedit" && ALL_PROGRAM_INSTALL_DIRS="$ALL_PROGRAM_INSTALL_DIRS \\
+       secedit"
 ALL_MAKEFILE_DEPENDS="$ALL_MAKEFILE_DEPENDS
 programs/secedit/Makefile: programs/secedit/Makefile.in programs/Makeprog.rules"
 ac_config_files="$ac_config_files programs/secedit/Makefile"
 
 ALL_MAKEFILES="$ALL_MAKEFILES \\
        programs/services/Makefile"
-
+test "x$enable_services" != xno && ALL_PROGRAM_DIRS="$ALL_PROGRAM_DIRS \\
+       services" && ALL_PROGRAM_INSTALL_DIRS="$ALL_PROGRAM_INSTALL_DIRS \\
+       services"
 ALL_MAKEFILE_DEPENDS="$ALL_MAKEFILE_DEPENDS
 programs/services/Makefile: programs/services/Makefile.in programs/Makeprog.rules"
 ac_config_files="$ac_config_files programs/services/Makefile"
 
 ALL_MAKEFILES="$ALL_MAKEFILES \\
        programs/spoolsv/Makefile"
-
+test "x$enable_spoolsv" != xno && ALL_PROGRAM_DIRS="$ALL_PROGRAM_DIRS \\
+       spoolsv" && ALL_PROGRAM_INSTALL_DIRS="$ALL_PROGRAM_INSTALL_DIRS \\
+       spoolsv"
 ALL_MAKEFILE_DEPENDS="$ALL_MAKEFILE_DEPENDS
 programs/spoolsv/Makefile: programs/spoolsv/Makefile.in programs/Makeprog.rules"
 ac_config_files="$ac_config_files programs/spoolsv/Makefile"
 
 ALL_MAKEFILES="$ALL_MAKEFILES \\
        programs/start/Makefile"
-
+test "x$enable_start" != xno && ALL_PROGRAM_DIRS="$ALL_PROGRAM_DIRS \\
+       start" && ALL_PROGRAM_INSTALL_DIRS="$ALL_PROGRAM_INSTALL_DIRS \\
+       start"
 ALL_MAKEFILE_DEPENDS="$ALL_MAKEFILE_DEPENDS
 programs/start/Makefile: programs/start/Makefile.in programs/Makeprog.rules"
 ac_config_files="$ac_config_files programs/start/Makefile"
 
 ALL_MAKEFILES="$ALL_MAKEFILES \\
        programs/svchost/Makefile"
-
+test "x$enable_svchost" != xno && ALL_PROGRAM_DIRS="$ALL_PROGRAM_DIRS \\
+       svchost" && ALL_PROGRAM_INSTALL_DIRS="$ALL_PROGRAM_INSTALL_DIRS \\
+       svchost"
 ALL_MAKEFILE_DEPENDS="$ALL_MAKEFILE_DEPENDS
 programs/svchost/Makefile: programs/svchost/Makefile.in programs/Makeprog.rules"
 ac_config_files="$ac_config_files programs/svchost/Makefile"
 
 ALL_MAKEFILES="$ALL_MAKEFILES \\
        programs/taskmgr/Makefile"
-
+test "x$enable_taskmgr" != xno && ALL_PROGRAM_DIRS="$ALL_PROGRAM_DIRS \\
+       taskmgr" && ALL_PROGRAM_INSTALL_DIRS="$ALL_PROGRAM_INSTALL_DIRS \\
+       taskmgr"
 ALL_MAKEFILE_DEPENDS="$ALL_MAKEFILE_DEPENDS
 programs/taskmgr/Makefile: programs/taskmgr/Makefile.in programs/Makeprog.rules"
 ac_config_files="$ac_config_files programs/taskmgr/Makefile"
 
 ALL_MAKEFILES="$ALL_MAKEFILES \\
        programs/uninstaller/Makefile"
-
+test "x$enable_uninstaller" != xno && ALL_PROGRAM_DIRS="$ALL_PROGRAM_DIRS \\
+       uninstaller" && ALL_PROGRAM_INSTALL_DIRS="$ALL_PROGRAM_INSTALL_DIRS \\
+       uninstaller" && ALL_PROGRAM_BIN_INSTALL_DIRS="$ALL_PROGRAM_BIN_INSTALL_DIRS \\
+       uninstaller"
 ALL_MAKEFILE_DEPENDS="$ALL_MAKEFILE_DEPENDS
 programs/uninstaller/Makefile: programs/uninstaller/Makefile.in programs/Makeprog.rules"
 ac_config_files="$ac_config_files programs/uninstaller/Makefile"
 
 ALL_MAKEFILES="$ALL_MAKEFILES \\
        programs/view/Makefile"
-
+test "x$enable_view" != xno && ALL_PROGRAM_DIRS="$ALL_PROGRAM_DIRS \\
+       view"
 ALL_MAKEFILE_DEPENDS="$ALL_MAKEFILE_DEPENDS
 programs/view/Makefile: programs/view/Makefile.in programs/Makeprog.rules"
 ac_config_files="$ac_config_files programs/view/Makefile"
 
 ALL_MAKEFILES="$ALL_MAKEFILES \\
        programs/wineboot/Makefile"
-
+test "x$enable_wineboot" != xno && ALL_PROGRAM_DIRS="$ALL_PROGRAM_DIRS \\
+       wineboot" && ALL_PROGRAM_INSTALL_DIRS="$ALL_PROGRAM_INSTALL_DIRS \\
+       wineboot" && ALL_PROGRAM_BIN_INSTALL_DIRS="$ALL_PROGRAM_BIN_INSTALL_DIRS \\
+       wineboot"
 ALL_MAKEFILE_DEPENDS="$ALL_MAKEFILE_DEPENDS
 programs/wineboot/Makefile: programs/wineboot/Makefile.in programs/Makeprog.rules"
 ac_config_files="$ac_config_files programs/wineboot/Makefile"
 
 ALL_MAKEFILES="$ALL_MAKEFILES \\
        programs/winebrowser/Makefile"
-
+test "x$enable_winebrowser" != xno && ALL_PROGRAM_DIRS="$ALL_PROGRAM_DIRS \\
+       winebrowser" && ALL_PROGRAM_INSTALL_DIRS="$ALL_PROGRAM_INSTALL_DIRS \\
+       winebrowser" && ALL_PROGRAM_BIN_INSTALL_DIRS="$ALL_PROGRAM_BIN_INSTALL_DIRS \\
+       winebrowser"
 ALL_MAKEFILE_DEPENDS="$ALL_MAKEFILE_DEPENDS
 programs/winebrowser/Makefile: programs/winebrowser/Makefile.in programs/Makeprog.rules"
 ac_config_files="$ac_config_files programs/winebrowser/Makefile"
 
 ALL_MAKEFILES="$ALL_MAKEFILES \\
        programs/winecfg/Makefile"
-
+test "x$enable_winecfg" != xno && ALL_PROGRAM_DIRS="$ALL_PROGRAM_DIRS \\
+       winecfg" && ALL_PROGRAM_INSTALL_DIRS="$ALL_PROGRAM_INSTALL_DIRS \\
+       winecfg" && ALL_PROGRAM_BIN_INSTALL_DIRS="$ALL_PROGRAM_BIN_INSTALL_DIRS \\
+       winecfg"
 ALL_MAKEFILE_DEPENDS="$ALL_MAKEFILE_DEPENDS
 programs/winecfg/Makefile: programs/winecfg/Makefile.in programs/Makeprog.rules"
 ac_config_files="$ac_config_files programs/winecfg/Makefile"
 
 ALL_MAKEFILES="$ALL_MAKEFILES \\
        programs/wineconsole/Makefile"
-
+test "x$enable_wineconsole" != xno && ALL_PROGRAM_DIRS="$ALL_PROGRAM_DIRS \\
+       wineconsole" && ALL_PROGRAM_INSTALL_DIRS="$ALL_PROGRAM_INSTALL_DIRS \\
+       wineconsole" && ALL_PROGRAM_BIN_INSTALL_DIRS="$ALL_PROGRAM_BIN_INSTALL_DIRS \\
+       wineconsole"
 ALL_MAKEFILE_DEPENDS="$ALL_MAKEFILE_DEPENDS
 programs/wineconsole/Makefile: programs/wineconsole/Makefile.in programs/Makeprog.rules"
 ac_config_files="$ac_config_files programs/wineconsole/Makefile"
 
 ALL_MAKEFILES="$ALL_MAKEFILES \\
        programs/winedbg/Makefile"
-
+test "x$enable_winedbg" != xno && ALL_PROGRAM_DIRS="$ALL_PROGRAM_DIRS \\
+       winedbg" && ALL_PROGRAM_INSTALL_DIRS="$ALL_PROGRAM_INSTALL_DIRS \\
+       winedbg" && ALL_PROGRAM_BIN_INSTALL_DIRS="$ALL_PROGRAM_BIN_INSTALL_DIRS \\
+       winedbg"
 ALL_MAKEFILE_DEPENDS="$ALL_MAKEFILE_DEPENDS
 programs/winedbg/Makefile: programs/winedbg/Makefile.in programs/Makeprog.rules"
 ac_config_files="$ac_config_files programs/winedbg/Makefile"
 
 ALL_MAKEFILES="$ALL_MAKEFILES \\
        programs/winedevice/Makefile"
-
+test "x$enable_winedevice" != xno && ALL_PROGRAM_DIRS="$ALL_PROGRAM_DIRS \\
+       winedevice" && ALL_PROGRAM_INSTALL_DIRS="$ALL_PROGRAM_INSTALL_DIRS \\
+       winedevice"
 ALL_MAKEFILE_DEPENDS="$ALL_MAKEFILE_DEPENDS
 programs/winedevice/Makefile: programs/winedevice/Makefile.in programs/Makeprog.rules"
 ac_config_files="$ac_config_files programs/winedevice/Makefile"
 
 ALL_MAKEFILES="$ALL_MAKEFILES \\
        programs/winefile/Makefile"
-
+test "x$enable_winefile" != xno && ALL_PROGRAM_DIRS="$ALL_PROGRAM_DIRS \\
+       winefile" && ALL_PROGRAM_INSTALL_DIRS="$ALL_PROGRAM_INSTALL_DIRS \\
+       winefile" && ALL_PROGRAM_BIN_INSTALL_DIRS="$ALL_PROGRAM_BIN_INSTALL_DIRS \\
+       winefile"
 ALL_MAKEFILE_DEPENDS="$ALL_MAKEFILE_DEPENDS
 programs/winefile/Makefile: programs/winefile/Makefile.in programs/Makeprog.rules"
 ac_config_files="$ac_config_files programs/winefile/Makefile"
 
 ALL_MAKEFILES="$ALL_MAKEFILES \\
        programs/winemenubuilder/Makefile"
-
+test "x$enable_winemenubuilder" != xno && ALL_PROGRAM_DIRS="$ALL_PROGRAM_DIRS \\
+       winemenubuilder" && ALL_PROGRAM_INSTALL_DIRS="$ALL_PROGRAM_INSTALL_DIRS \\
+       winemenubuilder"
 ALL_MAKEFILE_DEPENDS="$ALL_MAKEFILE_DEPENDS
 programs/winemenubuilder/Makefile: programs/winemenubuilder/Makefile.in programs/Makeprog.rules"
 ac_config_files="$ac_config_files programs/winemenubuilder/Makefile"
 
 ALL_MAKEFILES="$ALL_MAKEFILES \\
        programs/winemine/Makefile"
-
+test "x$enable_winemine" != xno && ALL_PROGRAM_DIRS="$ALL_PROGRAM_DIRS \\
+       winemine" && ALL_PROGRAM_INSTALL_DIRS="$ALL_PROGRAM_INSTALL_DIRS \\
+       winemine" && ALL_PROGRAM_BIN_INSTALL_DIRS="$ALL_PROGRAM_BIN_INSTALL_DIRS \\
+       winemine"
 ALL_MAKEFILE_DEPENDS="$ALL_MAKEFILE_DEPENDS
 programs/winemine/Makefile: programs/winemine/Makefile.in programs/Makeprog.rules"
 ac_config_files="$ac_config_files programs/winemine/Makefile"
 
 ALL_MAKEFILES="$ALL_MAKEFILES \\
        programs/winepath/Makefile"
-
+test "x$enable_winepath" != xno && ALL_PROGRAM_DIRS="$ALL_PROGRAM_DIRS \\
+       winepath" && ALL_PROGRAM_INSTALL_DIRS="$ALL_PROGRAM_INSTALL_DIRS \\
+       winepath" && ALL_PROGRAM_BIN_INSTALL_DIRS="$ALL_PROGRAM_BIN_INSTALL_DIRS \\
+       winepath"
 ALL_MAKEFILE_DEPENDS="$ALL_MAKEFILE_DEPENDS
 programs/winepath/Makefile: programs/winepath/Makefile.in programs/Makeprog.rules"
 ac_config_files="$ac_config_files programs/winepath/Makefile"
 
 ALL_MAKEFILES="$ALL_MAKEFILES \\
        programs/winetest/Makefile"
-
+test "x$enable_winetest" != xno && ALL_PROGRAM_DIRS="$ALL_PROGRAM_DIRS \\
+       winetest"
 ALL_MAKEFILE_DEPENDS="$ALL_MAKEFILE_DEPENDS
 programs/winetest/Makefile: programs/winetest/Makefile.in programs/Makeprog.rules"
 ac_config_files="$ac_config_files programs/winetest/Makefile"
 
 ALL_MAKEFILES="$ALL_MAKEFILES \\
        programs/winevdm/Makefile"
-
+test "x$enable_winevdm" != xno && ALL_PROGRAM_DIRS="$ALL_PROGRAM_DIRS \\
+       winevdm" && ALL_PROGRAM_INSTALL_DIRS="$ALL_PROGRAM_INSTALL_DIRS \\
+       winevdm"
 ALL_MAKEFILE_DEPENDS="$ALL_MAKEFILE_DEPENDS
 programs/winevdm/Makefile: programs/winevdm/Makefile.in programs/Makeprog.rules"
 ac_config_files="$ac_config_files programs/winevdm/Makefile"
 
 ALL_MAKEFILES="$ALL_MAKEFILES \\
        programs/winhlp32/Makefile"
-
+test "x$enable_winhlp32" != xno && ALL_PROGRAM_DIRS="$ALL_PROGRAM_DIRS \\
+       winhlp32" && ALL_PROGRAM_INSTALL_DIRS="$ALL_PROGRAM_INSTALL_DIRS \\
+       winhlp32"
 ALL_MAKEFILE_DEPENDS="$ALL_MAKEFILE_DEPENDS
 programs/winhlp32/Makefile: programs/winhlp32/Makefile.in programs/Makeprog.rules"
 ac_config_files="$ac_config_files programs/winhlp32/Makefile"
 
 ALL_MAKEFILES="$ALL_MAKEFILES \\
        programs/winver/Makefile"
-
+test "x$enable_winver" != xno && ALL_PROGRAM_DIRS="$ALL_PROGRAM_DIRS \\
+       winver" && ALL_PROGRAM_INSTALL_DIRS="$ALL_PROGRAM_INSTALL_DIRS \\
+       winver"
 ALL_MAKEFILE_DEPENDS="$ALL_MAKEFILE_DEPENDS
 programs/winver/Makefile: programs/winver/Makefile.in programs/Makeprog.rules"
 ac_config_files="$ac_config_files programs/winver/Makefile"
 
 ALL_MAKEFILES="$ALL_MAKEFILES \\
        programs/wordpad/Makefile"
-
+test "x$enable_wordpad" != xno && ALL_PROGRAM_DIRS="$ALL_PROGRAM_DIRS \\
+       wordpad" && ALL_PROGRAM_INSTALL_DIRS="$ALL_PROGRAM_INSTALL_DIRS \\
+       wordpad"
 ALL_MAKEFILE_DEPENDS="$ALL_MAKEFILE_DEPENDS
 programs/wordpad/Makefile: programs/wordpad/Makefile.in programs/Makeprog.rules"
 ac_config_files="$ac_config_files programs/wordpad/Makefile"
 
 ALL_MAKEFILES="$ALL_MAKEFILES \\
        programs/write/Makefile"
-
+test "x$enable_write" != xno && ALL_PROGRAM_DIRS="$ALL_PROGRAM_DIRS \\
+       write" && ALL_PROGRAM_INSTALL_DIRS="$ALL_PROGRAM_INSTALL_DIRS \\
+       write"
 ALL_MAKEFILE_DEPENDS="$ALL_MAKEFILE_DEPENDS
 programs/write/Makefile: programs/write/Makefile.in programs/Makeprog.rules"
 ac_config_files="$ac_config_files programs/write/Makefile"
 
 ALL_MAKEFILES="$ALL_MAKEFILES \\
        programs/xcopy/Makefile"
-
+test "x$enable_xcopy" != xno && ALL_PROGRAM_DIRS="$ALL_PROGRAM_DIRS \\
+       xcopy" && ALL_PROGRAM_INSTALL_DIRS="$ALL_PROGRAM_INSTALL_DIRS \\
+       xcopy"
 ALL_MAKEFILE_DEPENDS="$ALL_MAKEFILE_DEPENDS
 programs/xcopy/Makefile: programs/xcopy/Makefile.in programs/Makeprog.rules"
 ac_config_files="$ac_config_files programs/xcopy/Makefile"
 
 ALL_MAKEFILES="$ALL_MAKEFILES \\
        server/Makefile"
-
+test "x$enable_server" != xno && ALL_TOP_DIRS="$ALL_TOP_DIRS \\
+       server"
 ALL_MAKEFILE_DEPENDS="$ALL_MAKEFILE_DEPENDS
 server/Makefile: server/Makefile.in Make.rules"
 ac_config_files="$ac_config_files server/Makefile"
 
 ALL_MAKEFILES="$ALL_MAKEFILES \\
        tools/Makefile"
-
+test "x$enable_tools" != xno && ALL_TOP_DIRS="$ALL_TOP_DIRS \\
+       tools"
 ALL_MAKEFILE_DEPENDS="$ALL_MAKEFILE_DEPENDS
 tools/Makefile: tools/Makefile.in Make.rules"
 ac_config_files="$ac_config_files tools/Makefile"
@@ -25528,6 +25983,20 @@ tools/wrc/Makefile: tools/wrc/Makefile.in Make.rules"
 ac_config_files="$ac_config_files tools/wrc/Makefile"
 
 
+
+ALL_WINETEST_DEPENDS="# Test binaries"
+
+for dir in $ALL_TEST_DIRS
+do
+    if test "$dir" != "\\"
+    then
+        testname=`expr $dir : '\(.*\)/tests'`_test.exe
+        ALL_WINETEST_DEPENDS="$ALL_WINETEST_DEPENDS
+$testname: \$(DLLDIR)/$dir/$testname\$(DLLEXT)
+       cp \$(DLLDIR)/$dir/$testname\$(DLLEXT) \$@ && \$(STRIP) \$@"
+    fi
+done
+
 cat >confcache <<\_ACEOF
 # This file is a shell script that caches the results of configure
 # tests run on this system so they can be shared between configure
@@ -25924,7 +26393,7 @@ exec 6>&1
 # report actual input values of CONFIG_FILES etc. instead of their
 # values after options handling.
 ac_log="
-This file was extended by Wine $as_me 1.1.3, which was
+This file was extended by Wine $as_me 1.1.6, which was
 generated by GNU Autoconf 2.61.  Invocation command line was
 
   CONFIG_FILES    = $CONFIG_FILES
@@ -25977,7 +26446,7 @@ Report bugs to <bug-autoconf@gnu.org>."
 _ACEOF
 cat >>$CONFIG_STATUS <<_ACEOF
 ac_cs_version="\\
-Wine config.status 1.1.3
+Wine config.status 1.1.6
 configured by $0, generated by GNU Autoconf 2.61,
   with options \\"`echo "$ac_configure_args" | sed 's/^ //; s/[\\""\`\$]/\\\\&/g'`\\"
 
@@ -26321,6 +26790,7 @@ do
     "dlls/ole32/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/ole32/Makefile" ;;
     "dlls/ole32/tests/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/ole32/tests/Makefile" ;;
     "dlls/oleacc/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/oleacc/Makefile" ;;
+    "dlls/oleacc/tests/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/oleacc/tests/Makefile" ;;
     "dlls/oleaut32/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/oleaut32/Makefile" ;;
     "dlls/oleaut32/tests/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/oleaut32/tests/Makefile" ;;
     "dlls/olecli32/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/olecli32/Makefile" ;;
@@ -26449,6 +26919,7 @@ do
     "dlls/wintrust/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/wintrust/Makefile" ;;
     "dlls/wintrust/tests/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/wintrust/tests/Makefile" ;;
     "dlls/wldap32/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/wldap32/Makefile" ;;
+    "dlls/wldap32/tests/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/wldap32/tests/Makefile" ;;
     "dlls/wmi/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/wmi/Makefile" ;;
     "dlls/wnaspi32/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/wnaspi32/Makefile" ;;
     "dlls/wow32/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/wow32/Makefile" ;;
@@ -26764,15 +27235,16 @@ LDEXECFLAGS!$LDEXECFLAGS$ac_delim
 DISKARBITRATIONLIB!$DISKARBITRATIONLIB$ac_delim
 COREAUDIO!$COREAUDIO$ac_delim
 CARBONLIB!$CARBONLIB$ac_delim
-CROSSTEST!$CROSSTEST$ac_delim
 CROSSCC!$CROSSCC$ac_delim
 CROSSWINDRES!$CROSSWINDRES$ac_delim
+CROSSTEST!$CROSSTEST$ac_delim
 NASLIBS!$NASLIBS$ac_delim
 XML2LIBS!$XML2LIBS$ac_delim
 XML2INCL!$XML2INCL$ac_delim
 XSLTLIBS!$XSLTLIBS$ac_delim
 XSLTINCL!$XSLTINCL$ac_delim
 HALINCL!$HALINCL$ac_delim
+GNUTLSINCL!$GNUTLSINCL$ac_delim
 sane_devel!$sane_devel$ac_delim
 SANEINCL!$SANEINCL$ac_delim
 gphoto2_devel!$gphoto2_devel$ac_delim
@@ -26784,7 +27256,6 @@ LCMSLIBS!$LCMSLIBS$ac_delim
 ft_devel!$ft_devel$ac_delim
 FREETYPELIBS!$FREETYPELIBS$ac_delim
 FREETYPEINCL!$FREETYPEINCL$ac_delim
-FONTSSUBDIRS!$FONTSSUBDIRS$ac_delim
 ESDCONFIG!$ESDCONFIG$ac_delim
 ESDINCL!$ESDINCL$ac_delim
 ESDLIBS!$ESDLIBS$ac_delim
@@ -26806,14 +27277,19 @@ DEPENDENCIES!$DEPENDENCIES$ac_delim
 ALL_MAKERULES!$ALL_MAKERULES$ac_delim
 ALL_MAKEFILES!$ALL_MAKEFILES$ac_delim
 ALL_MAKEFILE_DEPENDS!$ALL_MAKEFILE_DEPENDS$ac_delim
+ALL_TOP_DIRS!$ALL_TOP_DIRS$ac_delim
 ALL_DLL_DIRS!$ALL_DLL_DIRS$ac_delim
 ALL_IMPLIB_DIRS!$ALL_IMPLIB_DIRS$ac_delim
 ALL_TEST_DIRS!$ALL_TEST_DIRS$ac_delim
+ALL_PROGRAM_DIRS!$ALL_PROGRAM_DIRS$ac_delim
+ALL_PROGRAM_INSTALL_DIRS!$ALL_PROGRAM_INSTALL_DIRS$ac_delim
+ALL_PROGRAM_BIN_INSTALL_DIRS!$ALL_PROGRAM_BIN_INSTALL_DIRS$ac_delim
+ALL_WINETEST_DEPENDS!$ALL_WINETEST_DEPENDS$ac_delim
 LIBOBJS!$LIBOBJS$ac_delim
 LTLIBOBJS!$LTLIBOBJS$ac_delim
 _ACEOF
 
-  if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 83; then
+  if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 88; then
     break
   elif $ac_last_try; then
     { { echo "$as_me:$LINENO: error: could not make $CONFIG_STATUS" >&5